about summary refs log tree commit diff
path: root/nixpkgs/pkgs/servers/dict/wiktionary/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nixpkgs/pkgs/servers/dict/wiktionary/update.sh')
-rwxr-xr-xnixpkgs/pkgs/servers/dict/wiktionary/update.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/nixpkgs/pkgs/servers/dict/wiktionary/update.sh b/nixpkgs/pkgs/servers/dict/wiktionary/update.sh
new file mode 100755
index 000000000000..ff5e0fc3551a
--- /dev/null
+++ b/nixpkgs/pkgs/servers/dict/wiktionary/update.sh
@@ -0,0 +1,7 @@
+#! /usr/bin/env nix-shell
+#! nix-shell -i bash -p common-updater-scripts python3
+
+set -ueo pipefail
+
+version="$(python "$(dirname "${BASH_SOURCE[0]}")"/latest_version.py)"
+update-source-version dictdDBs.wiktionary "$version"